Get a webhook
Returns the configuration of the webhook endpoint with the given ID. Use this endpoint to get a webhook through the Samva email API.
Returns the configuration of the webhook endpoint with the given ID.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^wep_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/webhooks/string"{ "id": "string", "name": "string", "url": "string", "eventTypes": [ "message.sent" ], "channels": [ "email" ], "status": "active", "hasCustomHeaders": true, "failureStartedAt": "string", "lastSucceededAt": "string", "createdAt": "string", "updatedAt": "string"}Create a webhook
Creates a signed webhook endpoint for Samva delivery and inbound events, stores subscriptions, and returns the endpoint and signing secret with a 201 response.
List webhook delivery logs
Returns recent deliveries for a webhook endpoint, each naming the event type and time it was made for, with its nested attempt diagnostics.